package cs108;

public final class Point {
    private final double x, y;

    public Point(double x, double y) {
        this.x = x;
        this.y = y;
    }

    public double x() { return x; }
    public double y() { return y; }

    public Point translatedBy(double dX, double dY) { return new Point(x + dX, y + dY); }
}
